import os

#
#
#
from _domain.core import System, Distrib

#
#
#
class BinarySquid:

    @staticmethod
    def full_path():

        # get the name of the system
        system_name = System.name()

        # windows (for debug only)
        if system_name == System.WS_WINDOWS:
            return r"c:\Squid\bin\squid.exe"

        # freebsd
        if system_name == System.WS_FREEBSD:
            return "/usr/local/sbin/squid"

        # it must be linux then
        assert(system_name == System.WS_LINUX)

        # see exactly what linux we have
        distrib_name = Distrib.name()

        # centos maybe
        if distrib_name == Distrib.WS_CENTOS7:
            return "/usr/sbin/squid"

        # then only debian or ubuntu
        assert(distrib_name in [Distrib.WS_DEBIAN10, Distrib.WS_UBUNTU18])

        # return nicely
        return "/usr/sbin/squid"

    @staticmethod
    def runas_user():  

        # get the name of the system
        system_name = System.name()

        if System.WS_WINDOWS == system_name:
            return "unknown"

        if System.WS_FREEBSD == system_name:
            return "squid"

        assert(System.WS_LINUX == system_name)

        if Distrib.WS_CENTOS7 == Distrib.name():
            return "squid"

        if Distrib.name() in [Distrib.WS_DEBIAN10, Distrib.WS_UBUNTU18]:
            return "proxy"

        raise Exception("Unknown distrib '%s' in BinarySquid.runas_user" % Distrib.name())

    @staticmethod
    def major_version():

    	# all of our distributions are now on Squid 4, so just return it always
    	return 4
