import os

#
#
#
from _domain.core import System, Distrib
from .binary_squid import BinarySquid

#
#
#
class BinarySslCrtd:

    @staticmethod
    def full_path():

        # get the name of the system
        system_name = System.name()

        # see which one we have
        if system_name == System.WS_WINDOWS:
            return r"c:\Squid\bin\ssl_crtd.exe"

        if system_name == System.WS_FREEBSD:
            return "/usr/local/libexec/squid/security_file_certgen"    

        # it must be linux then
        assert(system_name == System.WS_LINUX)
        assert(4 == BinarySquid.major_version())
        
        # see exactly what linux we have
        distrib_name = Distrib.name()

        # centos maybe
        if distrib_name == Distrib.WS_CENTOS7:

            return "/usr/lib64/squid/security_file_certgen"

        # then only debian or ubuntu
        assert(distrib_name in [Distrib.WS_DEBIAN10, Distrib.WS_UBUNTU18])

        # ok then
        return "/usr/lib/squid/security_file_certgen"
        

    @staticmethod
    def get_dir():

        # get the name of the system
        system_name = System.name()

        if system_name == System.WS_WINDOWS:
            return r"c:\Squid\bin\unknown.dir"

        if system_name == System.WS_FREEBSD:
            return "/var/squid/ssldb"    

        # it must be linux then
        assert(system_name == System.WS_LINUX)

        # see exactly what linux we have
        distrib_name = Distrib.name()

        # centos maybe
        if distrib_name == Distrib.WS_CENTOS7:
            return "/var/spool/squid_ssldb"

        # then only debian or ubuntu
        assert(distrib_name in [Distrib.WS_DEBIAN10, Distrib.WS_UBUNTU18])

        # return nicely
        return "/var/spool/squid_ssldb"
